/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
  HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


body, div, main, section, article {
  box-sizing: border-box; 
  color: #0200AC;
  font-family: "Nunito", serif;
}

img{
   transition: transform .4s;
   max-width:100%;
  }

img:hover {
  -ms-transform: scale(1.1); /* IE 9 */
  -webkit-transform: scale(1.1); /* Safari 3-8 */
  transform: scale(1.1);
  }

/* universal background color */
body {
  background-color: #27c5ff;
}

/* header image */
header img {
  width: 300px;
  max-width: 80%;
  margin:2rem auto;
}

/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";c
  clear: both;
  display: table;
}

/*FONTS*/

/* header font */
#showComic, h1, h2, h3, h4, h5 {
font-family: "Mochiy Pop One", serif;
margin-top:40px;
  font-weight:bold;
  font-size: clamp(1rem, 2.5vw, 1.4rem);
}

/* body font */
.subPage p, header, footer, #authorNotes, .archiveTable {
font-family: "Nunito", serif;

}

/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

.wrapper {
  width: 600px;
    font-size: 1rem;
  text-align: justify;
  text-justify: inter-word;
  max-width: 95%;
  margin: auto;
  margin-bottom: 10px;
  border-radius: 10px;
  padding: 25px;
font-family: "Nunito", serif;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:20px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-left:20px;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */
a {
      color: white;
      font-weight:bold;
      text-decoration:none;
            transition: all .2s ease-in;
    }

a:hover {
  color: #ffcc4d;
      text-decoration:none;
      
    }

/* HEADER */
header #nav {
  font-size: clamp(1rem, 2.5vw, 1.4rem);
  margin: auto;
  width: 80%;
  max-width:600px;
  display: flex;
  align-items: center;
  justify-content:space-evenly;
}
header a {
      color: white;
      text-decoration:none;
    }

/* HOMEPAGE */

/* style nav button images */
.comicNav {
  display: flex;
  width:100%;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  text-align:center;
  padding: 10px 0px;
}
.comicNav img {
  width: 70px;
  max-width: 98%;
  padding: 5px;
  text-align:center;
}

/* style comic page image */
.comicPage img {
  width: 700px;
  max-width: 98%;
  border-radius:10px;
}
.comicPage img:hover{
  -ms-transform: scale(1.0); /* IE 9 */
  -webkit-transform: scale(1.0); /* Safari 3-8 */
  transform: scale(1.0);
  }

/* style author notes */
#authorNotes {
  background-color:#ffffff;
  margin: auto;
  padding: 5px;
  width: 700px;
  max-width: 98%;
  border-radius: 10px;
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 100%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
  padding: 0px;
  margin:0px;

  
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
}

.archiveCellNum {
  text-align: left;
  min-width: 30px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    width: 500px;
    max-width: 60px;
}
.archiveCellThumb img{
    max-width: 100%;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow{
    transition: all .2s ease-in;
  }
.archiveRow:hover {
  cursor: pointer;  
  color: #fff;
}

/* FOOTER */
footer {
  padding-top:50px;
  display:flex;
  justify-content:space-around;
  padding-bottom:50px;
  float: left;
  width: 100%;
  font-size: 14px;
}

footer p {
  margin: auto;
    padding:5px;
}

footer a {
  color: #fff
}

footer img{
    border-radius:5px;
    margin:5px;
  }

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}




    
    

}
.flex-container .column{
    padding: 0px;
    background: #fff;
    vertical-align:middle;
    width:75%;
    -webkit-flex: 1; /* Safari */
    -ms-flex: 1; /* IE 10 */
    flex: 1; /* Standard syntax */

}
.flex-container .column.bg-alt{
    background: #fff;
    width:25%;
    margin:auto;

}




.flex-container {
  display: flex;
  flex-wrap: wrap;
  font-size: 30px;
  text-align: left;
}

.flex-container .column{
  padding: 10px;
  flex: 60%;
}

.flex-container .column.bg-alt{
  padding: 10px;
  flex: 40%;
}








.targetDiv{
 display: none;
}

.hide{
 display: none;
}

table.table1 {
    font-size:11px;
    margin-top:-40px;
    color:#fff;
    line-height:0;
}
.table1 th, td {
  text-align:left;
  border-radius:10px;
}
.table1 img {
  width:90%;
    border-radius:5px;
       border: 0.13rem solid #fff;
}
.table1 img:hover{
  -ms-transform: scale(1.8); /* IE 9 */
  -webkit-transform: scale(1.8); /* Safari 3-8 */
  transform: scale(1.8);
  filter: hue-rotate(-40deg) drop-shadow(2px 2px 0px black);

  }

.table2 th, td {
    text-align:left;
}
.type1
{
/*background-color:#53EFB6;*/
  cursor:pointer;
}
.type2
{
/*background-color:#67D8D9;*/
  cursor:pointer;

}
.type3
{
/*background-color:#9C9CFB;*/
  cursor:pointer;
}
.type4
{
/*background-color:#FB8BA2;*/
  cursor:pointer;
}
.type5
{
/*background-color:#FB9978;*/
  cursor:pointer;
}
.type6
{
/*background-color:#FB84DE;*/
  cursor:pointer;
}
.type7
{
/*background-color:#63F564;*/
  cursor:pointer;
}
.type8
{
/*background-color:#FFC860;*/
  cursor:pointer;
}
.type9
{
/*background-color:#7AC1FB;*/
  cursor:pointer;
}
.type10
{
/*background-color:#BC93FB;*/
  cursor:pointer;
}
.stype1
{
border-bottom-style:none;
border-top-style:none;
}
.stype2
{
border-bottom-style:none;
border-top-style:none;
border-left-style:none;
}



@media (max-width: 800px) {
  .flex-item-right, .flex-item-left {
    flex: 100%;
  }
}

